%global     _hicolordir     %{_datadir}/icons/hicolor

Name:           droidcam-client
Version:        2.1.2
Release:        1%{?dist}
Summary:        DroidCam turns your phone/tablet into a webcam for your PC

License:        GPLv2
URL:            https://dev47apps.com/droidcam/linux/
Source0:        https://github.com/dev47apps/droidcam/archive/v%{version}.tar.gz
Source1:        droidcam-16x16.png
Source2:        droidcam-24x24.png
Source3:        droidcam-32x32.png
Source4:        droidcam-48x48.png
Source5:        droidcam-128x128.png

Provides:       droidcam-common = %{?epoch:%{epoch}:}%{version}-%{release}

Recommends:     droidcam >= %{?epoch:%{epoch}:}%{version}
Recommends:     droidcam-cli >= %{?epoch:%{epoch}:}%{version}
Recommends:     android-tools

Requires:       droidcam-kmod >= %{?epoch:%{epoch}:}%{version} or v4l2loopback

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  desktop-file-utils
BuildRequires:  turbojpeg-devel
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(libusbmuxd-2.0)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(appindicator3-0.1)


%description
The GNU/Linux GUI client is a combination of an executable app that connects 
to the phone, and Video4Linux and ALSA loopback drivers.


%package -n droidcam
Summary:        DroidCam GUI turns your phone/tablet into a webcam for your PC
Requires:       droidcam-common >= %{?epoch:%{epoch}:}%{version}
Requires:       hicolor-icon-theme
Requires:       dbus-x11

%description -n droidcam
The GNU/Linux GUI client is an executable app that connects to the phone.


%package -n droidcam-cli
Summary:        DroidCam CLI turns your phone/tablet into a webcam for your PC
Requires:       droidcam-common >= %{?epoch:%{epoch}:}%{version}


%description -n droidcam-cli
The GNU/Linux CLI client is an executable app that connects to the phone.


%prep
%autosetup -n droidcam-%{version}
sed -i \
    -e 's/libusbmuxd/libusbmuxd-2.0/' \
    Makefile
sed -i \
    -e 's|/opt/droidcam-icon.png|%{_hicolordir}/32x32/apps/droidcam.png|' \
    src/droidcam.c
sed -i \
    -e 's/Icon=.*/Icon=droidcam/' \
    -e 's|Exec=.*|Exec=%{_bindir}/droidcam|' \
    droidcam.desktop


%build
%make_build


%install
install -p -m 0755 -D -t %{buildroot}%{_bindir} droidcam droidcam-cli

install -D -m 0644 %{SOURCE1} %{buildroot}%{_hicolordir}/16x16/apps/droidcam.png
install -D -m 0644 %{SOURCE2} %{buildroot}%{_hicolordir}/24x24/apps/droidcam.png
install -D -m 0644 %{SOURCE3} %{buildroot}%{_hicolordir}/32x32/apps/droidcam.png
install -D -m 0644 %{SOURCE4} %{buildroot}%{_hicolordir}/48x48/apps/droidcam.png
install -D -m 0644 %{SOURCE5} %{buildroot}%{_hicolordir}/128x128/apps/droidcam.png

desktop-file-install --dir=%{buildroot}%{_datadir}/applications droidcam.desktop


%files
%license LICENSE
%doc README.md


%files -n droidcam
%{_bindir}/droidcam
%{_datadir}/applications/droidcam.desktop
%{_hicolordir}/16x16/apps/droidcam.png
%{_hicolordir}/24x24/apps/droidcam.png
%{_hicolordir}/32x32/apps/droidcam.png
%{_hicolordir}/48x48/apps/droidcam.png
%{_hicolordir}/128x128/apps/droidcam.png


%files -n droidcam-cli
%{_bindir}/droidcam-cli


%changelog
* Sat Feb 10 2024 Jarryd Lisher <jarryd@jlisher.com> - 2.1.2-1
- Update dependencies
- Clean up kernal module

* Thu Feb 08 2024 Jarryd Lisher <jarryd@jlisher.com> - 2.1.2-0
- Initial Release
